List analytics reports
curl --request GET \
--url https://api.notion.com/admin/v1/analytics/reports \
--header 'Authorization: Bearer <token>' \
--header 'Notion-Version: <notion-version>'import requests
url = "https://api.notion.com/admin/v1/analytics/reports"
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Notion-Version': '<notion-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.notion.com/admin/v1/analytics/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"type": "analytics_report",
"results": [
{
"object": "analytics_report",
"id": "<string>",
"report_type": "user_activity",
"report_version": 123,
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"time_zone": "<string>",
"file_format": "csv",
"status": "queued",
"created_time": "2023-11-07T05:31:56Z",
"completed_time": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"object": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"object": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"object": "error",
"code": "restricted_resource",
"status": 403,
"message": "Forbidden."
}{
"object": "error",
"code": "object_not_found",
"status": 404,
"message": "Not found."
}{
"object": "error",
"code": "conflict_error",
"status": 409,
"message": "The request conflicts with the current resource state."
}{
"object": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"object": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}{
"object": "error",
"code": "service_unavailable",
"status": 503,
"message": "Service temporarily unavailable."
}Analytics reports
List analytics reports
List analytics reports.
GET
/
v1
/
analytics
/
reports
List analytics reports
The organization bot token must have every scope in one of the following sets:
- Option 1:
analytics:ai-analytics
- Option 2:
analytics:user-activity
- Option 3:
analytics:page-content
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Query Parameters
Required range:
1 <= x <= 100